Bug 1018501 - Review Request: golang-bitbucket-kardianos-osext - Extensions to the standard Go OS package
Review Request: golang-bitbucket-kardianos-osext - Extensions to the standard...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1018481 1018523
  Show dependency treegraph
 
Reported: 2013-10-12 13:15 EDT by Lokesh Mandvekar
Modified: 2014-07-23 06:04 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 13:14:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattdm: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2013-10-12 13:15:41 EDT
Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-bitbucket-kardianos-osext.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-bitbucket-kardianos-osext-0-0.1.hg364fb577de68.fc21.src.rpm

Description: Provides extra OS functions

Fedora Account System Username: lsm5

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6053727

$ rpmlint SPECS/golang-bitbucket-kardianos-osext.spec SRPMS/golang-bitbucket-kardianos-osext-0-0.1.hg364fb577de68.fc21.src.rpm RPMS/noarch/golang-bitbucket-kardianos-osext-devel-0-0.1.hg364fb577de68.fc21.noarch.rpm
SPECS/golang-bitbucket-kardianos-osext.spec:32: W: setup-not-quiet
golang-bitbucket-kardianos-osext.src:32: W: setup-not-quiet
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 1 Matthew Miller 2013-10-14 11:02:36 EDT
The summary and description are kind of vague. I suggest

Summary: Extensions to the standard Go os package

%description devel
Provides extensions to the standard Go os package, including Executable, which returns an absolute path which can be used to re-invoke the current program,
and ExecutableFolder, which returns the directory containing the same.

This package contains library source intended for building other packages
which use these functions.

---

Also, I'm not sure if you have this already, but this is a dep of coreos/go-log/log and not etcd proper.
Comment 2 Lokesh Mandvekar 2013-10-14 17:46:39 EDT
(In reply to Matthew Miller from comment #1)
> The summary and description are kind of vague. I suggest
> 
> Summary: Extensions to the standard Go os package
> 
> %description devel
> Provides extensions to the standard Go os package, including Executable,
> which returns an absolute path which can be used to re-invoke the current
> program,
> and ExecutableFolder, which returns the directory containing the same.
> 
> This package contains library source intended for building other packages
> which use these functions.

Done.
> 
> ---
> 
> Also, I'm not sure if you have this already, but this is a dep of
> coreos/go-log/log and not etcd proper.

yup coreos/go-log has been updated with Requires: golang("bitbucket.org/kardianos/osext")

%changelog
* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.hg364fb577de68
- defattr removed
- description and summary updated

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-bitbucket-kardianos-osext.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-bitbucket-kardianos-osext-0-0.2.hg364fb577de68.fc21.src.rpm
Comment 3 Matthew Miller 2013-10-14 17:55:26 EDT
Review passed, with the same caveat as other Go packages: this may need to be updated as the guidelines evolve beyond draft form.
Comment 4 Lokesh Mandvekar 2013-10-14 18:03:26 EDT
%changelog
* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.hg364fb577de68
- devel description update

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-bitbucket-kardianos-osext.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-bitbucket-kardianos-osext-0-0.3.hg364fb577de68.fc21.src.rpm

--minor description update
Comment 5 Lokesh Mandvekar 2013-10-14 18:04:32 EDT
New Package SCM Request
=======================
Package Name: golang-bitbucket-kardianos-osext
Short Description: Extensions to the standard Go OS package
Owners: lsm5
Branches: f19 f20 el6
InitialCC:
Comment 6 Jens Petersen 2013-10-15 01:58:15 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-10-15 15:35:52 EDT
golang-bitbucket-kardianos-osext-0-0.3.hg364fb577de68.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-bitbucket-kardianos-osext-0-0.3.hg364fb577de68.fc20
Comment 8 Fedora Update System 2013-10-15 15:42:23 EDT
golang-bitbucket-kardianos-osext-0-0.3.hg364fb577de68.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-bitbucket-kardianos-osext-0-0.3.hg364fb577de68.fc19
Comment 9 Fedora Update System 2013-10-15 15:50:07 EDT
golang-bitbucket-kardianos-osext-0-0.3.hg364fb577de68.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-bitbucket-kardianos-osext-0-0.3.hg364fb577de68.el6
Comment 10 Fedora Update System 2013-10-17 14:01:52 EDT
golang-bitbucket-kardianos-osext-0-0.3.hg364fb577de68.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 11 Peter Lemenkov 2013-10-23 07:03:20 EDT
Package Change Request
======================
Package Name: golang-bitbucket-kardianos-osext
InitialCC: golang-sig
Comment 12 Gwyn Ciesla 2013-10-23 10:10:12 EDT
Done.
Comment 13 Lokesh Mandvekar 2013-11-10 13:14:22 EST
i'm closing this since it seems to have made into stable for f20, f19 and el6. please re-open if I got something wrong here. I hope CURRENTRELEASE is the correct flag :)
Comment 14 Troy Dawson 2014-07-22 16:17:55 EDT
Package Change Request
======================
Package Name: golang-bitbucket-kardianos-osext
New Branches: epel7
Owners: tdawson maxamillion
Comment 15 Gwyn Ciesla 2014-07-23 06:04:25 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.